/**
  *  DesktopFrame
  *  DesktopFrame.java
  *   
  *  @version 0.001
  *  @author jack  pippi
  */
  
 
 import java.awt.*;
 import java.awt.event.*;

 import javax.swing.*;
 import javax.swing.border.*;
 
 import java.util.*;  
 import java.net.*;
 
 import java.io.*;
 import java.io.BufferedReader.*;
  
 class DesktopFrame
 extends JFrame
 {
   private JDesktopPane desk;
   private serverThread s;
 
   public DesktopFrame(serverThread s)
   {
     super("Sail TestServer v0.001");
     this.desk = new JDesktopPane();
     this.s = s;
     desk.setDesktopManager(new DefaultDesktopManager());
     desk.setBackground(Color.black);   
     setContentPane(desk);
    
     Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
     setSize(dim.width-70, dim.height-50);
     setLocation(0,0);
     setVisible(true);     
     wListener();
     
     JMenuBar menubar = new JMenuBar();
     menubar.add(createExtrasMenu());
     setJMenuBar(menubar);
   }

   private JMenu createExtrasMenu()
   {
     JMenu ret = new JMenu("Extras");
     ret.setMnemonic('X');
     JMenuItem mi;
     //Tools-Untermenü
     ret.add(createToolsSubMenu());
     //Separator
     ret.addSeparator();
     //Statuszeile und Buttonleiste
     mi = new JCheckBoxMenuItem("Statuszeile");
     mi.setMnemonic('z');
     ((JCheckBoxMenuItem)mi).setState(true);
     ret.add(mi);
     mi = new JCheckBoxMenuItem("Buttonleiste");
     mi.setMnemonic('B');
     ret.add(mi);
     //Separator
     ret.addSeparator();
     //Offline, Verbinden, Anmelden
     ButtonGroup bg = new ButtonGroup();
     mi = new JRadioButtonMenuItem("Offline", true);
     mi.setMnemonic('O');
     ret.add(mi);
     bg.add(mi);
     mi = new JRadioButtonMenuItem("Verbinden");
     mi.setMnemonic('V');
     ret.add(mi);
     bg.add(mi);
     mi = new JRadioButtonMenuItem("Anmelden");
     mi.setMnemonic('A');
     ret.add(mi);
     bg.add(mi);
     //Separator
     ret.addSeparator();
     //Sicherheit
     mi = new JMenuItem(
       "Sicherheit", 
       new ImageIcon("lock.gif")
     );
     mi.setMnemonic('S');
     mi.setHorizontalTextPosition(JMenuItem.LEFT);
     ret.add(mi);
     return ret;
   }
 
   private JMenu createToolsSubMenu()
   {
     JMenu ret = new JMenu("Tools");
     ret.setMnemonic('T');
     ret.add(new JMenuItem("Rechner", 'R'));
     ret.add(new JMenuItem("Editor",  'E'));
     ret.add(new JMenuItem("Browser", 'B'));
     ret.add(new JMenuItem("Zipper",  'Z'));
     ret.add(new JMenuItem("Snapper", 'S'));
     ret.add(new JMenuItem("Viewer",  'V'));
     return ret;
   }

   public void wListener() {
     addWindowListener(new WindowAdapter() {
       public void windowClosing(WindowEvent e) {
        
         
         //s.send("closing");
         //s.close();
         System.exit(1); 
       } 
     }); 
   }  
   
   public void addChild(JInternalFrame child, int x, int y)
   {   	
     child.setLocation(x, y);
     child.setDefaultCloseOperation(JInternalFrame.DISPOSE_ON_CLOSE);
     desk.add(child);
     child.setVisible(true);
   }
 }
 
 